Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book.install
Class InstallException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.crosswire.common.util.LucidException
                  org.crosswire.jsword.book.install.InstallException

All Implemented Interfaces:
  Serializable

    public class InstallException

extends LucidException

Something went wrong with a Book.

Author:
  Joe Walker
See Also:
  `The GNU Lesser General Public License for details.`, Serialized Form

Field Summary
`private static long` | `serialVersionUID` Serialization ID

Constructor Summary
`InstallException(String msg)` Construct the Exception with a message
`InstallException(String msg, Throwable ex)` Construct the Exception with a message and a nested Exception

Method Summary

Methods inherited from class org.crosswire.common.util.LucidException
`getDetailedMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serialization ID

  See Also:
    Constant Field Values

Constructor Detail

### InstallException

    public InstallException(String msg)

  Construct the Exception with a message

  Parameters:
    `msg` - The resource id to read

### InstallException

    public InstallException(String msg,
                            Throwable ex)

  Construct the Exception with a message and a nested Exception

  Parameters:
    `msg` - The resource id to read
    `ex` - The nested Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD